# Successful Pairs of Spells and Potions

> You are given two positive integer arrays `spells` and `potions`, where
> `spells[i]` represents the strength of the `i`the spell and `potions[j]`
> represents the strength ot the `j`th potion. You are also given an integer
> `success`. A spell and potion pair is considered successful if the product of
> their strengths is at least `success`. For each spell, find how many potions
> it can pair with to be successful. Return an integer array where the `i`th
> element is the answer for the `i`th spell.

## Example 1

- Input: spells = [5,1,3], potions = [1,2,3,4,5], success = 7
- Output: [4,0,3]
- Explanation:
  - 0th spell: 5 \* [1,2,3,4,5] = [5,10,15,20,25]. 4 pairs are successful.
  - 1st spell: 1 \* [1,2,3,4,5] = [1,2,3,4,5]. 0 pairs are successful.
  - 2nd spell: 3 \* [1,2,3,4,5] = [3,6,9,12,15]. 3 pairs are successful. Thus,
    [4,0,3] is returned.

## Example 2

- Input: spells = [3,1,2], potions = [8,5,8], success = 16
- Output: [2,0,2]
- Explanation:
  - 0th spell: 3 \* [8,5,8] = [24,15,24]. 2 pairs are successful.
  - 1st spell: 1 \* [8,5,8] = [8,5,8]. 0 pairs are successful.
  - 2nd spell: 2 \* [8,5,8] = [16,10,16]. 2 pairs are successful. Thus, [2,0,2]
    is returned.
